DataInputControllerUpdateDataStorageColumn Method |
PUT /DataInput/DataStorageColumn/
Renames the data storage column.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPutAttribute]
[ActionNameAttribute("DataStorageColumn")]
public HttpResponseMessage UpdateDataStorageColumn(
[FromBodyAttribute] DataStorageColumnOptions options,
Nullable<Guid> sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("DataStorageColumn")>
Public Function UpdateDataStorageColumn (
<FromBodyAttribute> options As DataStorageColumnOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPutAttribute]
[ActionNameAttribute(L"DataStorageColumn")]
HttpResponseMessage^ UpdateDataStorageColumn(
[FromBodyAttribute] DataStorageColumnOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("DataStorageColumn")>]
member UpdateDataStorageColumn :
[<FromBodyAttribute>] options : DataStorageColumnOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsDataStorageColumnOptions
The data to be provided for renaming of the column. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A status code indicating success or the reason for failure.
See Also